postgis_restore(1)

NAME

postgis_restore - restore a PostGIS database from an archive file created by pg_dump

SYNTAX

postgis_restore [-v] [-L TOC] [-s schema] dumpfile

DESCRIPTION

The postgis_restore command allows extracting SQL statements to re-create objects found in a custom dump of a PostGIS-enabled database while skipping the PostGIS specific objects. This is only useful for dumps of databases in which PostGIS was enabled by loading the postgis.sql script. Dumps taken from databases in which PostGIS was enabled via CREATE EXTENSION will not have PostGIS objects in them so can safely be restored directly using pg_restore. Note that this command only works with dumps using the custom format, which are those crated with pg_dump -Fc.

USAGE

Usage information is printed when the script is invoked with no arguments.

EXAMPLES

Create a custom dump from olddb:
    pg_dump -Fc olddb > olddb.dump Create a new database newdb:
    createdb newdb PostGIS-enable the new database:
    psql -c 'CREATE EXTENSION postgis' newdb Restore your data:
    postgis_restore.pl olddb.dump | psql newdb

AUTHORS

Originally written by Sandro Santilli <strk@kbt.io>. More information is available at http://postgis.net